Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 226265 - Merge Review: perl-IO-String
Summary: Merge Review: perl-IO-String
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 20:36 UTC by Nobody's working on this, feel free to take it
Modified: 2007-12-21 19:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-11-12 10:36:22 UTC
panemade: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 20:36:25 UTC
Fedora Merge Review: perl-IO-String

http://cvs.fedora.redhat.com/viewcvs/devel/perl-IO-String/
Initial Owner: rnorwood@redhat.com

Comment 1 Parag AN(पराग) 2007-10-26 10:42:45 UTC
1)perl as BR is not needed. mock build without it worked successfully.
   remove redundant dependency on perl >= 1:5.6.1
2)drop "|| :" from %check
3)you may like to add disttag 
4) don't hard code version in Source URL
4)rpmlint only complained ->
perl-IO-String.noarch: W: incoherent-version-in-changelog 0:1.08-2 1.08-2


Comment 2 Robin Norwood 2007-10-26 19:58:03 UTC
All issues should be fixed in new version: perl-IO-String-1.08.4.fc9

Comment 3 Parag AN(पराग) 2007-10-27 02:04:43 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
250e5424f290299fc3d6b5d1e9da3835  IO-String-1.08.tar.gz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test outputs
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/close.......ok
t/para........ok
t/read........ok
t/seek........ok
t/truncate....ok
t/write.......ok
All tests successful.
Files=6, Tests=43,  0 wallclock secs ( 0.09 cusr +  0.04 csys =  0.13 CPU)
+ Package perl-IO-String-1.08-3.fc8 ->
   Provides: perl(IO::String) = 1.08Requires: perl >= 0:5.005_03
perl(:MODULE_COMPAT_5.8.8) perl(Symbol) perl(strict) perl(vars)

APPROVED.
   

Comment 4 Parag AN(पराग) 2007-11-11 07:04:10 UTC
Can we CLOSE this review if package is already built and in rawhide?

Comment 5 Steven Pritchard 2007-12-21 18:17:06 UTC
This package is required by perl-Archive-Tar in EPEL 4.

Package Change Request
======================
Package Name: perl-IO-String
New Branches: EL-4
Updated EPEL Owners: steve,rnorwood

Comment 6 Kevin Fenzi 2007-12-21 19:42:22 UTC
cvs done.


Note You need to log in before you can comment on or make changes to this bug.